//+------------------------------------------------------------------+
//|                                                    Super-sig.mq4 |
//+------------------------------------------------------------------+

extern double lots=0.10;
extern int SignalGap=10;
extern double TakeProfit = 5;           // Profit Goal for the latest order opened
extern double InitialStop = 15;           // StopLoss
extern double TrailingStop = 0;         // Pips to trail the StopLoss


int init(){return(0);}
int deinit(){return(0);}
int start()
  {
  
   double super_down=iCustom(Symbol(),0,"Super-signals",SignalGap,0,2);
   double super_up=iCustom(Symbol(),0,"Super-signals",SignalGap,1,2);
   
   if (OrdersTotal()==0){
      if (super_down<3) {
         OrderSend(Symbol(),OP_SELLLIMIT,lots,super_down,3,0,0,"",0,0,Red);
         return(0);
      }
      if (super_up<3) {
         OrderSend(Symbol(),OP_BUYLIMIT,lots,super_up,3,0,0,"",0,0,White);
         return(0);
      }
   }
   if (OrdersTotal()==1){
     OrderSelect(0,SELECT_BY_POS);
      if (super_down<3 && OrderType()==OP_BUY) {
         OrderClose(OrderTicket(),OrderLots(),Bid,3,Pink);
         OrderSend(Symbol(),OP_SELLLIMIT,lots,super_down,3,0,0,"",0,0,Red);
         return(0);
      }
      if (super_up<3  && OrderType()==OP_SELL) {
         OrderClose(OrderTicket(),OrderLots(),Ask,3,Brown);
         OrderSend(Symbol(),OP_BUYLIMIT,lots,super_up,3,0,0,"",0,0,White);
         return(0);
      }       
      if (super_down<3 && OrderType()==OP_BUYLIMIT ) {
         OrderDelete(OrderTicket());
         OrderSend(Symbol(),OP_SELLLIMIT,lots,super_down,3,0,0,"",0,0,Red);
         return(0);
      }
      if (super_up<3  && OrderType()==OP_SELLLIMIT) {
         OrderDelete(OrderTicket());
         OrderSend(Symbol(),OP_BUYLIMIT,lots,super_up,3,0,0,"",0,0,White);
         return(0);
      }             
   }
   
   return(0);
  }

